POST /me/events/{id}/tentativelyAccept
POST /users/{id | userPrincipalName}/events/{id}/tentativelyAccept
POST /me/calendar/events/{id}/tentativelyAccept
POST /users/{id | userPrincipalName}/calendar/events/{id}/tentativelyAccept
POST /me/calendars/{id}/events/{id}/tentativelyAccept
POST /users/{id | userPrincipalName}/calendars/{id}/events/{id}/tentativelyAccept
POST /me/calendargroups/{id}/calendars/{id}/events/{id}/tentativelyAccept
POST /users/{id | userPrincipalName}/calendargroups/{id}/calendars/{id}/events/{id}/tentativelyAccept
POST https://graph.microsoft.com/v1.0/me/events/{id}/tentativelyAccept
Content-type: application/json
{
"comment": "I may not be able to make this week. How about next week?",
"sendResponse": true,
"proposedNewTime": {
"start": {
"dateTime": "2019-12-02T18:00:00",
"timeZone": "Pacific Standard Time"
},
"end": {
"dateTime": "2019-12-02T19:00:00",
"timeZone": "Pacific Standard Time"
}
}
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var comment = "I may not be able to make this week. How about next week?";
var sendResponse = true;
var proposedNewTime = new TimeSlot
{
Start = new DateTimeTimeZone
{
DateTime = "2019-12-02T18:00:00",
TimeZone = "Pacific Standard Time"
},
End = new DateTimeTimeZone
{
DateTime = "2019-12-02T19:00:00",
TimeZone = "Pacific Standard Time"
}
};
await graphClient.Me.Events["{event-id}"]
.TentativelyAccept(comment,sendResponse,proposedNewTime)
.Request()
.PostAsync();
const options = {
authProvider,
};
const client = Client.init(options);
const tentativelyAccept = {
comment: 'I may not be able to make this week. How about next week?',
sendResponse: true,
proposedNewTime: {
start: {
dateTime: '2019-12-02T18:00:00',
timeZone: 'Pacific Standard Time'
},
end: {
dateTime: '2019-12-02T19:00:00',
timeZone: 'Pacific Standard Time'
}
}
};
await client.api('/me/events/{id}/tentativelyAccept')
.post(tentativelyAccept);
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
String comment = "I may not be able to make this week. How about next week?";
Boolean sendResponse = true;
TimeSlot proposedNewTime = new TimeSlot();
DateTimeTimeZone start = new DateTimeTimeZone();
start.dateTime = "2019-12-02T18:00:00";
start.timeZone = "Pacific Standard Time";
proposedNewTime.start = start;
DateTimeTimeZone end = new DateTimeTimeZone();
end.dateTime = "2019-12-02T19:00:00";
end.timeZone = "Pacific Standard Time";
proposedNewTime.end = end;
graphClient.me().events("{id}")
.tentativelyAccept(EventTentativelyAcceptParameterSet
.newBuilder()
.withComment(comment)
.withSendResponse(sendResponse)
.withProposedNewTime(proposedNewTime)
.build())
.buildRequest()
.post();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := msgraphsdk.New()
comment := "I may not be able to make this week. How about next week?"
requestBody.SetComment(&comment)
sendResponse := true
requestBody.SetSendResponse(&sendResponse)
proposedNewTime := msgraphsdk.NewTimeSlot()
requestBody.SetProposedNewTime(proposedNewTime)
start := msgraphsdk.NewDateTimeTimeZone()
proposedNewTime.SetStart(start)
dateTime := "2019-12-02T18:00:00"
start.SetDateTime(&dateTime)
timeZone := "Pacific Standard Time"
start.SetTimeZone(&timeZone)
end := msgraphsdk.NewDateTimeTimeZone()
proposedNewTime.SetEnd(end)
dateTime := "2019-12-02T19:00:00"
end.SetDateTime(&dateTime)
timeZone := "Pacific Standard Time"
end.SetTimeZone(&timeZone)
eventId := "event-id"
graphClient.Me().EventsById(&eventId).TentativelyAccept(event-id).Post(requestBody)
Import-Module Microsoft.Graph.Users.Actions
$params = @{
Comment = "I may not be able to make this week. How about next week?"
SendResponse = $true
ProposedNewTime = @{
Start = @{
DateTime = "2019-12-02T18:00:00"
TimeZone = "Pacific Standard Time"
}
End = @{
DateTime = "2019-12-02T19:00:00"
TimeZone = "Pacific Standard Time"
}
}
}
# A UPN can also be used as -UserId.
Invoke-MgAcceptUserEventTentatively -UserId $userId -EventId $eventId -BodyParameter $params